# file: $isip/class/algo/AlgorithmUndefined/GNUmakefile
# version: $Id: GNUmakefile 8226 2002-06-25 01:42:42Z picone $
#
# this make file builds the AlgorithmUndefined class
#

# define the source files
#
ISIP_FILES = *.cc

# define the header files that need to be installed
#
ISIP_HEADER_FILES = AlgorithmUndefined.h

# define other dependencies (headers are included automatically)
#
ISIP_DEPS = AlgorithmBase.h AlgorithmData.h

# define the output library
#
ISIP_OLIB = lib_algo.a

# define the compilation flags
# 
ISIP_CFLAGS = 

# since this class has no methods that don't error, we can't run a
# diagnose.
#
ISIP_DIAGNOSE_MODE = none

# include the isip standard make template
#
include $(ISIP_DEVEL)/lib/scripts/make/compile.make

#
# end of file
